Package org.apache.el.stream

## Class Optional

- java.lang.Object
- - org.apache.el.stream.Optional

    public class Optional
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `get()`
`void` `ifPresent​(LambdaExpression le)`
`Object` `orElse​(Object other)`
`Object` `orElseGet​(Object le)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### get

    public Object get()
               throws ELException

Throws:
  `ELException`

#### ifPresent

    public void ifPresent​(LambdaExpression le)

#### orElse

    public Object orElse​(Object other)

#### orElseGet

    public Object orElseGet​(Object le)